<script setup lang="ts">
import type { Stock } from '@/types/Stock';
import { nextTick, onMounted, provide, ref } from 'vue';

import SProductDialog from './SProductDialog.vue';
import StockProductTableDetail from './StockProductTableDetail.vue';
import CheckStockDialog from './CheckStockDialog.vue';
import ImportDialog from './ImportDialog.vue';
import ShowReceiptDialog from './ShowReceiptDialog.vue';

import {useStockStore} from "@/stores/stock"
import LoadingDialog from '@/components/loadingDialog.vue';


const stockStore = useStockStore()



const search =ref('')
const loading = ref(false)
function openShowReceipt(){
  stockStore.dialogShowReceipt =!stockStore.dialogShowReceipt
}
</script>
<template>
    <v-container>
       
         <v-row  no-gutters>
           <v-sheet width="1250" height="620" >
            <stock-product-table-detail></stock-product-table-detail>
         <v-row no-gutters>
        <!-- 3 BTN  -->
         <v-col cols="6" style="padding-top: 0px;" > <div><v-btn prepend-icon="mdi-receipt-text" style="margin-left: 550px;" @click="openShowReceipt()" >Receipt</v-btn></div></v-col>
            <v-col  cols="6" style="padding-top: 0px; " no-gutters> <div><v-btn prepend-icon="mdi-file-import" style="margin-left: 95px;" @click="stockStore.openImportDialog" >Import</v-btn> <v-btn @click="stockStore.openCheckDialog" prepend-icon="mdi-package-variant-closed-check" style="margin-left: 10px;" >Check Stock</v-btn></div></v-col>
           </v-row>
           </v-sheet>
           
         </v-row>   
    </v-container>
    <s-product-dialog></s-product-dialog>
    <check-stock-dialog></check-stock-dialog>
    <import-dialog></import-dialog>
    <show-receipt-dialog></show-receipt-dialog>
    <loading-dialog></loading-dialog>
</template>